OffersSearch:
  post:
    tags:
      - offers
    operationId: searchOffers
    summary: Search for objects of Offer
    description: Search for objects of Offer
    x-lg-handler: 'App\Http\ApiV1\Modules\Offers\Controllers\OffersController@search'
    x-lg-skip-request-generation: true
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/offers.yaml#/SearchOffersRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/offers.yaml#/SearchOffersResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
